complexType "InitialPayment"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 1 attribute, 7 elements
Defined: | globally in fpml-cd-5-3.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | payerPartyReference?, payerAccountReference?, receiverPartyReference?, receiverAccountReference?, adjustablePaymentDate?, adjustedPaymentDate?, paymentAmount?
</...>

Content Model Elements (7):

  adjustablePaymentDate (in initialPayment),
  adjustedPaymentDate (in initialPayment),
  payerAccountReference,
  payerPartyReference,
  paymentAmount (in initialPayment),
  receiverAccountReference,
  receiverPartyReference (defined in PayerReceiver.model group)

All Direct / Indirect Based Elements (1):

  initialPayment

Known Usage Locations

- As direct type of elements (1):
  initialPayment

Type Definition Detail

Type Derivation Tree PaymentBase (extension) InitialPayment

XML Source (w/o annotations (3); see within schema source)

<xsd:complexType name="InitialPayment"> <xsd:complexContent> <xsd:extension base="PaymentBase"> <xsd:sequence> <xsd:group ref="PayerReceiver.model"/> <xsd:element minOccurs="0" name="adjustablePaymentDate" type="xsd:date"/> <xsd:element minOccurs="0" name="adjustedPaymentDate" type="xsd:date"/> <xsd:element minOccurs="0" name="paymentAmount" type="Money"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 3/7)
adjustablePaymentDate

  Type: | xsd:date, predefined, simple content

  A fixed payment date that shall be subject to adjustment in accordance with the applicable business day convention if it would otherwise fall on a day that is not a business day. The applicable business day convention and business day are those specified in the dateAdjustments element within the generalTerms component.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="adjustablePaymentDate" type="xsd:date"/>

adjustedPaymentDate

  Type: | xsd:date, predefined, simple content

  The adjusted payment date. This date should already be adjusted for any applicable business day convention. This component is not intended for use in trade confirmation but may be specified to allow the fee structure to also serve as a cashflow type component.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="adjustedPaymentDate" type="xsd:date"/>

paymentAmount

  Type: | Money, complex content

  A fixed payment amount.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="paymentAmount" type="Money"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.